global:
  postgresql:
    existingSecret: describo-pg-passwd
  image:
    tag: develop
  namespace:
    create: false
    name: helmrds
  describo:
    api_secret: IAMDESCRIBOSECRET
    domain: describo.drive.test.sunet.se
  rds:
    domain: rds.drive.test.sunet.se
  domains:
    - name: gu.drive.test.sunet.se
      ADDRESS: https://gu.drive.test.sunet.se
      OAUTH_CLIENT_ID: IAMGUID
      OAUTH_CLIENT_SECRET: IAMGUSECRET
      SUPPORT_EMAIL: drive@sunet.se
      MANUAL_URL: www.sunet.se/services/molnbaserade-tjanster/sunet-drive
    - name: sunet.drive.test.sunet.se
      ADDRESS: https://sunet.drive.test.sunet.se
      OAUTH_CLIENT_ID: IAMSUNETID
      OAUTH_CLIENT_SECRET: IAMSUNETSECRET
      SUPPORT_EMAIL: drive@sunet.se
      MANUAL_URL: www.sunet.se/services/molnbaserade-tjanster/sunet-drive
    - name: su.drive.test.sunet.se
      ADDRESS: https://su.drive.test.sunet.se
      OAUTH_CLIENT_ID: IAMSUID
      OAUTH_CLIENT_SECRET: IAMSUSECRET
      SUPPORT_EMAIL: drive@sunet.se
      MANUAL_URL: www.sunet.se/services/molnbaserade-tjanster/sunet-drive
    - name: kau.drive.test.sunet.se
      ADDRESS: https://kau.drive.test.sunet.se
      OAUTH_CLIENT_ID: IAMKAUID
      OAUTH_CLIENT_SECRET: IAMKAUSECRET
      SUPPORT_EMAIL: drive@sunet.se
      MANUAL_URL: www.sunet.se/services/molnbaserade-tjanster/sunet-drive
  storageClass: csi-sc-cinderplugin
  env:
  - name: OPENSCIENCEFRAMEWORK_OAUTH_CLIENT_ID
    valueFrom:
      secretKeyRef:
        name: osf-client
        key: osf-client-id
  - name: OPENSCIENCEFRAMEWORK_OAUTH_CLIENT_SECRET
    valueFrom:
      secretKeyRef:
        name: osf-client
        key: osf-client-secret
layer0-describo:
  postgresql:
    postgresqlDatabase: describo
    postgresqlUsername: admin
    postgresqlPassword: IAML0POSTGRESSECRET
    persistence:
      enabled: false
  environment:
    ADMIN_PASSWORD: IAML0ADMINSECRET
  domain: describo.drive.test.sunet.se
layer0-helper-describo-token-updater:
  enabled: true
  environment:
    RDS_INSTALLATION_DOMAIN: rds.drive.test.sunet.se
postgresql:
  persistence:
    enabled: false
redis:
  cluster:
    persistence:
      storageClass: csi-sc-cinderplugin
      enabled: true
redis-helper:
  master:
    persistence:
      storageClass: csi-sc-cinderplugin
      enabled: true
layer0-web:
  environment:
    SECRET_KEY: IAMLAYER0WEBSECRET
    EMBED_MODE: true
layer1-port-doris:
  enabled: false
layer1-port-owncloud:
  enabled: true
layer1-port-zenodo:
  enabled: true
  environment:
    ADDRESS: https://sandbox.zenodo.org
layer1-port-openscienceframework:
  enabled: true
  environment:
    ADDRESS: https://test.accounts.test.osf.io
    API_ADDRESS: https://api.test.osf.io/v2
layer2-metadata-service: {}
layer3-research-manager: {}
layer3-token-storage: {}
loglevel: DEBUG
